Subject: RE; Numpy and NumTut
From: "Mark Hadfield" <[email-masked]>
To: "Cygwin Mailing List" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 10 Oct 2001 17:20:56 +1300

> I notice that cygwin does not include Numpy and NumTut in python.
> Will you consider to include Numpy and NumTut in with python in the
> next version of cygwin?

Jason Tishler supplies cygwin-python. He might consider including NumPy, but
I suspect not because it's really not hard to do for yourself.

> I have a very difficulty figuring out where cygwin put all lib
> and related module for python.  If download all the Numpy and
> related mods in contribution\python, how can I make cygwin see
> it so it can install for me? Please advise.

Make sure you have latest version of Cygwin python installed by running
Cygwin setup.

Download Numeric source file. The current one seems to be

http://prdownloads.sourceforge.net/numpy/Numeric-20.2.1.tar.gz

Unpack it to a directory outside the Cygwin tree.

Cd to the directory you've just created and run

/usr/bin/python setup_all.py build
/usr/bin/python setup_all.py install
/usr/bin/python setup_all.py clean

(I called "/usr/bin/python" because I have another version of Python on my
machine.)

It works like magic. You have Jason, the Numeric people & several others to
thank for sorting out the problems.

Start python and type

>>> import Numeric
>>> Numeric.__version___

and it should say

'20.2.1'

Not sure about the tutorial. Good luck!
---
Mark Hadfield
[email-masked]  http://katipo.niwa.cri.nz/~hadfield
National Institute for Water and Atmospheric Research

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/